Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0038442
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-04-25 09:192018-05-09 19:29
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityurgentResolutionfixedFixed in Version3.0PR18Q3
StatusclosedFix in branchFixed in SCM revisionc5d8fbd7e953
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0038442: Do not use positional query parameters with Query

DescriptionLegacy-style query parameters ('?') are no longer supported in Hibernate 5.3[1].

Therefore, queries generated with Query class using such kind of parameters are not working anymore starting from that Hibernate version. This issue affects to the methods using an int that determines the parameter position:

 - setParameter(int, Object)
 - setString(int, String)
 - setInteger(int, int)
 - setDate(int, Date)
 - etc

Named parameters should be used instead.

[1] https://hibernate.atlassian.net/browse/HHH-12101 [^]
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0038382 closedcaristu Deprecate usage of positional query parameters in OBQuery 
related to feature request 0037064 closedcaristu upgrade hibernate 
related to defect 00384453.0PR18Q3 closedjarmendariz Do not use positional query parameters with Query (Retail) 
related to defect 00384463.0PR18Q3 closedjarmendariz Do not use positional query parameters with Query (Modules) 

-  Notes
(0104068)
hgbot (developer)
2018-04-25 10:11

Repository: erp/devel/pi
Changeset: 582660de04fd0d217fed8bd4fdf5e6c9a69cbfe2
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 25 09:49:14 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/582660de04fd0d217fed8bd4fdf5e6c9a69cbfe2 [^]

fixes issue 38442: replace setParameter(int, Object) with setParameter(String, Object)

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_AddPayment.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/AlertActionHandler.java
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
M src-test/src/org/openbravo/test/dal/DalComplexQueryTestOrderLine.java
M src/org/openbravo/base/structure/BaseOBObject.java
M src/org/openbravo/erpCommon/utility/DimensionDisplayUtility.java
---
(0104069)
hgbot (developer)
2018-04-25 10:11

Repository: erp/devel/pi
Changeset: c5d8fbd7e953259aa3bab391b2931d6a9436939e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 25 10:06:27 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/c5d8fbd7e953259aa3bab391b2931d6a9436939e [^]

fixes issue 38442: replace setString(int, String) with setParameter(String, Object)

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/TransactionsDao.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/businesslogic/CloneOrderActionHandler.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/WidgetProvider.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceProperty.java
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/DataSourceServlet.java
M src-test/src/org/openbravo/test/dal/IssuesTest.java
M src/org/openbravo/erpCommon/ad_process/assets/AssetLinearDepreciationMethodProcess.java
M src/org/openbravo/materialmgmt/InventoryCountProcess.java
---
(0104070)
hgbot (developer)
2018-04-25 10:15

Repository: erp/devel/pi
Changeset: b83da0b5cd1b8030eb1b3b5ab2176f7c299551a4
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Wed Apr 25 10:15:44 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/b83da0b5cd1b8030eb1b3b5ab2176f7c299551a4 [^]

related to issue 38442: fix typo

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportDao.java
---
(0104160)
alostale (developer)
2018-04-27 13:25

reviewed
(0104393)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104394)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test
(0104395)
hudsonbot (developer)
2018-05-09 19:29

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2be7d3efe606 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-04-25 09:19 caristu New Issue
2018-04-25 09:19 caristu Assigned To => caristu
2018-04-25 09:19 caristu Modules => Core
2018-04-25 09:19 caristu Triggers an Emergency Pack => No
2018-04-25 09:19 caristu Issue generated from 0038382
2018-04-25 09:20 caristu Relationship added related to 0038382
2018-04-25 10:10 caristu Description Updated View Revisions
2018-04-25 10:10 caristu Description Updated View Revisions
2018-04-25 10:11 hgbot Checkin
2018-04-25 10:11 hgbot Note Added: 0104068
2018-04-25 10:11 hgbot Status new => resolved
2018-04-25 10:11 hgbot Resolution open => fixed
2018-04-25 10:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/582660de04fd0d217fed8bd4fdf5e6c9a69cbfe2 [^]
2018-04-25 10:11 hgbot Checkin
2018-04-25 10:11 hgbot Note Added: 0104069
2018-04-25 10:11 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/582660de04fd0d217fed8bd4fdf5e6c9a69cbfe2 [^] => http://code.openbravo.com/erp/devel/pi/rev/c5d8fbd7e953259aa3bab391b2931d6a9436939e [^]
2018-04-25 10:15 hgbot Checkin
2018-04-25 10:15 hgbot Note Added: 0104070
2018-04-25 10:16 caristu Description Updated View Revisions
2018-04-25 10:22 caristu Review Assigned To => alostale
2018-04-25 13:21 caristu Issue cloned 0038445
2018-04-25 13:21 caristu Relationship added related to 0038445
2018-04-25 13:22 caristu Issue cloned 0038446
2018-04-25 13:22 caristu Relationship added related to 0038446
2018-04-27 13:24 alostale Relationship added related to 0037064
2018-04-27 13:25 alostale Note Added: 0104160
2018-04-27 13:25 alostale Status resolved => closed
2018-04-27 13:25 alostale Fixed in Version => 3.0PR18Q3
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104393
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104394
2018-05-09 19:29 hudsonbot Checkin
2018-05-09 19:29 hudsonbot Note Added: 0104395


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker